import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData } from "@minecraft/server-ui";

let expression = {};
world.beforeEvents.itemUse.subscribe(eventData => {
    const player = eventData.source;
    if (eventData.itemStack.typeId == 'dogs:whistle' && player.isSneaking) {
        system.run(() => {
            player.runCommand('event entity @e[family=dog, r=15] dogs:off_follow');
			player.runCommand('playsound silbato @s ~ ~ ~ 1 1 1');
        })
    }
    if (eventData.itemStack.typeId == 'dogs:whistle' && !player.isSneaking) {
        system.run(() => {
            player.runCommand('event entity @e[family=dog, r=15] dogs:follow_owner');
			player.runCommand('playsound silbato @s ~ ~ ~ 1 1 1');
        })
    }
});